From 9183fc83b96b776d4e3b4629becb1ff41b9b2879 Mon Sep 17 00:00:00 2001
From: Vinicius Santos <vinicius.santos.lista@gmail.com>
Date: Tue, 17 Jul 2012 12:10:33 -0300
Subject: [PATCH] More information about the selected objects.

---
 pgadmin/frm/frmMain.cpp                      |   20 ++++++++++++--------
 pgadmin/include/frm/frmMain.h                |    2 +-
 pgadmin/schema/edbPackage.cpp                |    4 ++--
 pgadmin/schema/edbPackageFunction.cpp        |    4 ++--
 pgadmin/schema/edbPackageVariable.cpp        |    4 ++--
 pgadmin/schema/edbSynonym.cpp                |    4 ++--
 pgadmin/schema/gpExtTable.cpp                |    4 ++--
 pgadmin/schema/gpResQueue.cpp                |    4 ++--
 pgadmin/schema/pgAggregate.cpp               |    4 ++--
 pgadmin/schema/pgCast.cpp                    |    4 ++--
 pgadmin/schema/pgCatalogObject.cpp           |    4 ++--
 pgadmin/schema/pgCheck.cpp                   |    4 ++--
 pgadmin/schema/pgCollation.cpp               |    4 ++--
 pgadmin/schema/pgColumn.cpp                  |    4 ++--
 pgadmin/schema/pgConversion.cpp              |    4 ++--
 pgadmin/schema/pgDomain.cpp                  |    4 ++--
 pgadmin/schema/pgForeignDataWrapper.cpp      |    4 ++--
 pgadmin/schema/pgForeignKey.cpp              |    4 ++--
 pgadmin/schema/pgForeignServer.cpp           |    4 ++--
 pgadmin/schema/pgForeignTable.cpp            |    4 ++--
 pgadmin/schema/pgFunction.cpp                |   12 ++++++------
 pgadmin/schema/pgGroup.cpp                   |    4 ++--
 pgadmin/schema/pgIndex.cpp                   |    4 ++--
 pgadmin/schema/pgIndexConstraint.cpp         |   16 ++++++++--------
 pgadmin/schema/pgObject.cpp                  |    6 +++++-
 pgadmin/schema/pgOperator.cpp                |    4 ++--
 pgadmin/schema/pgOperatorClass.cpp           |    4 ++--
 pgadmin/schema/pgOperatorFamily.cpp          |    4 ++--
 pgadmin/schema/pgRole.cpp                    |    4 ++--
 pgadmin/schema/pgRule.cpp                    |    6 +++---
 pgadmin/schema/pgSequence.cpp                |    4 ++--
 pgadmin/schema/pgTable.cpp                   |    4 ++--
 pgadmin/schema/pgTablespace.cpp              |    4 ++--
 pgadmin/schema/pgTextSearchConfiguration.cpp |    4 ++--
 pgadmin/schema/pgTextSearchDictionary.cpp    |    4 ++--
 pgadmin/schema/pgTextSearchParser.cpp        |    4 ++--
 pgadmin/schema/pgTextSearchTemplate.cpp      |    4 ++--
 pgadmin/schema/pgTrigger.cpp                 |    4 ++--
 pgadmin/schema/pgType.cpp                    |    4 ++--
 pgadmin/schema/pgUser.cpp                    |    4 ++--
 pgadmin/schema/pgUserMapping.cpp             |    4 ++--
 pgadmin/schema/pgView.cpp                    |    4 ++--
 42 files changed, 107 insertions(+), 99 deletions(-)

diff --git a/pgadmin/frm/frmMain.cpp b/pgadmin/frm/frmMain.cpp
index 12a9e1e..e080a9d 100644
--- a/pgadmin/frm/frmMain.cpp
+++ b/pgadmin/frm/frmMain.cpp
@@ -492,13 +492,14 @@ void frmMain::CreateMenus()
 	treeContextMenu = 0;
 
 	// Status bar
-	statusBar = CreateStatusBar(3);
-	int iWidths[3] = {0, -1, 100};
-	SetStatusWidths(3, iWidths);
+	statusBar = CreateStatusBar(4);
+	int iWidths[4] = {0, -1, 400, 100};
+	SetStatusWidths(4, iWidths);
 	SetStatusBarPane(-1);
 	statusBar->SetStatusText(wxT(""), 0);
 	statusBar->SetStatusText(_("Ready."), 1);
-	statusBar->SetStatusText(_("0 Secs"), 2);
+	statusBar->SetStatusText(_(""), 2);
+	statusBar->SetStatusText(_("0 Secs"), 3);
 
 	wxAcceleratorEntry entries[4];
 	entries[0].Set(wxACCEL_NORMAL, WXK_F5, refFact->GetId());
@@ -1278,7 +1279,7 @@ pgServer *frmMain::ConnectToServer(const wxString &servername, bool restore)
 	return 0;
 }
 
-void frmMain::StartMsg(const wxString &msg)
+void frmMain::StartMsg(const wxString &msg, const wxString &detailsConnection)
 {
 	if (msgLevel++)
 		return;
@@ -1293,7 +1294,10 @@ void frmMain::StartMsg(const wxString &msg)
 	wxLogStatus(logmsg);
 
 	statusBar->SetStatusText(timermsg, 1);
-	statusBar->SetStatusText(wxT(""), 2);
+	// information about the user@database ( server )
+	if (detailsConnection != wxEmptyString)
+		statusBar->SetStatusText( detailsConnection, 2);
+	statusBar->SetStatusText(wxT(""), 3);
 }
 
 
@@ -1307,7 +1311,7 @@ void frmMain::EndMsg(bool done)
 		float timeval = stopwatch.Time();
 		wxString time;
 		time.Printf(_("%.2f secs"), (timeval / 1000));
-		statusBar->SetStatusText(time, 2);
+		statusBar->SetStatusText(time, 3);
 
 		// Display the 'Done' message
 		if (done)
@@ -1324,7 +1328,7 @@ void frmMain::EndMsg(bool done)
 void frmMain::SetStatusText(const wxString &msg)
 {
 	statusBar->SetStatusText(msg, 1);
-	statusBar->SetStatusText(wxEmptyString, 2);
+	statusBar->SetStatusText(wxEmptyString, 3);
 }
 
 void frmMain::SetItemBackgroundColour(wxTreeItemId item, wxColour colour)
diff --git a/pgadmin/include/frm/frmMain.h b/pgadmin/include/frm/frmMain.h
index 8dc03a2..87cae51 100644
--- a/pgadmin/include/frm/frmMain.h
+++ b/pgadmin/include/frm/frmMain.h
@@ -93,7 +93,7 @@ public:
 	void OnReport(wxCommandEvent &ev);
 	wxString GetHelpPage() const;
 
-	void StartMsg(const wxString &msg);
+	void StartMsg(const wxString &msg, const wxString &detailsConnection = wxEmptyString);
 	void EndMsg(bool done = true);
 	void SetStatusText(const wxString &msg);
 	void SetCurrentObject(pgObject *data)
diff --git a/pgadmin/schema/edbPackage.cpp b/pgadmin/schema/edbPackage.cpp
index 17109c1..89a4d4e 100644
--- a/pgadmin/schema/edbPackage.cpp
+++ b/pgadmin/schema/edbPackage.cpp
@@ -32,11 +32,11 @@ wxString edbPackage::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on package");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing package");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop package \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/edbPackageFunction.cpp b/pgadmin/schema/edbPackageFunction.cpp
index 10607b7..4b22bfd 100644
--- a/pgadmin/schema/edbPackageFunction.cpp
+++ b/pgadmin/schema/edbPackageFunction.cpp
@@ -41,11 +41,11 @@ wxString edbPackageFunction::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on package function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing package function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop package function \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/edbPackageVariable.cpp b/pgadmin/schema/edbPackageVariable.cpp
index 810f086..e80e996 100644
--- a/pgadmin/schema/edbPackageVariable.cpp
+++ b/pgadmin/schema/edbPackageVariable.cpp
@@ -30,11 +30,11 @@ wxString edbPackageVariable::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on package variable");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing package variable");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop package variable \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/edbSynonym.cpp b/pgadmin/schema/edbSynonym.cpp
index e9215ca..8fa7698 100644
--- a/pgadmin/schema/edbSynonym.cpp
+++ b/pgadmin/schema/edbSynonym.cpp
@@ -30,11 +30,11 @@ wxString edbSynonym::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on synonym");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing synonym");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop synonym \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/gpExtTable.cpp b/pgadmin/schema/gpExtTable.cpp
index f5305dc..2261609 100644
--- a/pgadmin/schema/gpExtTable.cpp
+++ b/pgadmin/schema/gpExtTable.cpp
@@ -37,11 +37,11 @@ wxString gpExtTable::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on external table");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing external table");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop external table \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/gpResQueue.cpp b/pgadmin/schema/gpResQueue.cpp
index ef2bda2..0f76dfb 100644
--- a/pgadmin/schema/gpResQueue.cpp
+++ b/pgadmin/schema/gpResQueue.cpp
@@ -40,11 +40,11 @@ wxString gpResQueue::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on resource queue");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing resource queue");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop resource queue \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgAggregate.cpp b/pgadmin/schema/pgAggregate.cpp
index d48a097..50ebc0d 100644
--- a/pgadmin/schema/pgAggregate.cpp
+++ b/pgadmin/schema/pgAggregate.cpp
@@ -31,11 +31,11 @@ wxString pgAggregate::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on aggregate");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing aggregate");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop aggregate \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgCast.cpp b/pgadmin/schema/pgCast.cpp
index 0407f52..eb60bbc 100644
--- a/pgadmin/schema/pgCast.cpp
+++ b/pgadmin/schema/pgCast.cpp
@@ -35,11 +35,11 @@ wxString pgCast::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on cast");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing cast");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop cast \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgCatalogObject.cpp b/pgadmin/schema/pgCatalogObject.cpp
index c8298b2..61bca95 100644
--- a/pgadmin/schema/pgCatalogObject.cpp
+++ b/pgadmin/schema/pgCatalogObject.cpp
@@ -32,11 +32,11 @@ wxString pgCatalogObject::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on catalog object");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing catalog object");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case PROPERTIESREPORT:
 			message = _("Catalog object properties report");
diff --git a/pgadmin/schema/pgCheck.cpp b/pgadmin/schema/pgCheck.cpp
index 1f10810..51e71ac 100644
--- a/pgadmin/schema/pgCheck.cpp
+++ b/pgadmin/schema/pgCheck.cpp
@@ -37,11 +37,11 @@ wxString pgCheck::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on check constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing check constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for check constraint");
diff --git a/pgadmin/schema/pgCollation.cpp b/pgadmin/schema/pgCollation.cpp
index 39767ce..0599bfd 100644
--- a/pgadmin/schema/pgCollation.cpp
+++ b/pgadmin/schema/pgCollation.cpp
@@ -44,11 +44,11 @@ wxString pgCollation::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on collation");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing collation");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop collation \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgColumn.cpp b/pgadmin/schema/pgColumn.cpp
index 49a44d6..d9e9255 100644
--- a/pgadmin/schema/pgColumn.cpp
+++ b/pgadmin/schema/pgColumn.cpp
@@ -41,11 +41,11 @@ wxString pgColumn::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on column");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetTableName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing column");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetTableName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for column");
diff --git a/pgadmin/schema/pgConversion.cpp b/pgadmin/schema/pgConversion.cpp
index 859f350..27d00ad 100644
--- a/pgadmin/schema/pgConversion.cpp
+++ b/pgadmin/schema/pgConversion.cpp
@@ -35,11 +35,11 @@ wxString pgConversion::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on conversion");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing conversion");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop conversion \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgDomain.cpp b/pgadmin/schema/pgDomain.cpp
index a3308bd..1071ba3 100644
--- a/pgadmin/schema/pgDomain.cpp
+++ b/pgadmin/schema/pgDomain.cpp
@@ -49,11 +49,11 @@ wxString pgDomain::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on domain");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing domain");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop domain \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgForeignDataWrapper.cpp b/pgadmin/schema/pgForeignDataWrapper.cpp
index c78b8d2..2f9d636 100644
--- a/pgadmin/schema/pgForeignDataWrapper.cpp
+++ b/pgadmin/schema/pgForeignDataWrapper.cpp
@@ -33,11 +33,11 @@ wxString pgForeignDataWrapper::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on foreign data wrapper");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing foreign data wrapper");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop foreign data wrapper \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgForeignKey.cpp b/pgadmin/schema/pgForeignKey.cpp
index 72f0af8..027e8d2 100644
--- a/pgadmin/schema/pgForeignKey.cpp
+++ b/pgadmin/schema/pgForeignKey.cpp
@@ -37,11 +37,11 @@ wxString pgForeignKey::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on foreign key");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing foreign key");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for foreign key");
diff --git a/pgadmin/schema/pgForeignServer.cpp b/pgadmin/schema/pgForeignServer.cpp
index b548e7b..3b1cd16 100644
--- a/pgadmin/schema/pgForeignServer.cpp
+++ b/pgadmin/schema/pgForeignServer.cpp
@@ -34,11 +34,11 @@ wxString pgForeignServer::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on foreign server");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing foreign server");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop foreign server \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgForeignTable.cpp b/pgadmin/schema/pgForeignTable.cpp
index de6853b..83c8a4c 100644
--- a/pgadmin/schema/pgForeignTable.cpp
+++ b/pgadmin/schema/pgForeignTable.cpp
@@ -36,11 +36,11 @@ wxString pgForeignTable::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on foreign table");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing foreign table");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop foreign table \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgFunction.cpp b/pgadmin/schema/pgFunction.cpp
index d6dce6e..7e993c9 100644
--- a/pgadmin/schema/pgFunction.cpp
+++ b/pgadmin/schema/pgFunction.cpp
@@ -52,11 +52,11 @@ wxString pgFunction::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop function \"%s\" including all objects that depend on it?"),
@@ -113,11 +113,11 @@ wxString pgTriggerFunction::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on trigger function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing trigger function");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop trigger function \"%s\" including all objects that depend on it?"),
@@ -174,11 +174,11 @@ wxString pgProcedure::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on procedure");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing procedure");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop procedure \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgGroup.cpp b/pgadmin/schema/pgGroup.cpp
index 2e82e30..8c02a76 100644
--- a/pgadmin/schema/pgGroup.cpp
+++ b/pgadmin/schema/pgGroup.cpp
@@ -33,11 +33,11 @@ wxString pgGroup::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on group");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing group");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for group");
diff --git a/pgadmin/schema/pgIndex.cpp b/pgadmin/schema/pgIndex.cpp
index 49f6ea3..c70c93d 100644
--- a/pgadmin/schema/pgIndex.cpp
+++ b/pgadmin/schema/pgIndex.cpp
@@ -36,11 +36,11 @@ wxString pgIndexBase::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on index");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing index");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for index");
diff --git a/pgadmin/schema/pgIndexConstraint.cpp b/pgadmin/schema/pgIndexConstraint.cpp
index 331c442..3447cf0 100644
--- a/pgadmin/schema/pgIndexConstraint.cpp
+++ b/pgadmin/schema/pgIndexConstraint.cpp
@@ -28,11 +28,11 @@ wxString pgIndexConstraint::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on index constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing index constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for index constraint");
@@ -206,11 +206,11 @@ wxString pgPrimaryKey::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on primary key");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing primary key");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for primary key");
@@ -289,11 +289,11 @@ wxString pgUnique::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on unique constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing unique constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for unique constraint");
@@ -372,11 +372,11 @@ wxString pgExclude::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on exclusion constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing exclusion constraint");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for exclusion constraint");
diff --git a/pgadmin/schema/pgObject.cpp b/pgadmin/schema/pgObject.cpp
index 6d86a2e..81bd581 100644
--- a/pgadmin/schema/pgObject.cpp
+++ b/pgadmin/schema/pgObject.cpp
@@ -743,7 +743,11 @@ void pgObject::ShowTree(frmMain *form, ctlTree *browser, ctlListView *properties
 
 	if (form)
 	{
-		form->StartMsg(GetTranslatedMessage(RETRIEVINGDETAILS));
+		
+		if (conn)
+			form->StartMsg(GetTranslatedMessage(RETRIEVINGDETAILS), conn->GetUser() + wxT("@") + conn->GetDbname() + wxT(" (") + conn->GetHostName() + wxT(")"));
+		else
+			form->StartMsg(GetTranslatedMessage(RETRIEVINGDETAILS));
 
 		SetContextInfo(form);
 
diff --git a/pgadmin/schema/pgOperator.cpp b/pgadmin/schema/pgOperator.cpp
index eeef02f..c4d8250 100644
--- a/pgadmin/schema/pgOperator.cpp
+++ b/pgadmin/schema/pgOperator.cpp
@@ -35,11 +35,11 @@ wxString pgOperator::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on operator");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing operator");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop operator \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgOperatorClass.cpp b/pgadmin/schema/pgOperatorClass.cpp
index b98a1ea..7b750fa 100644
--- a/pgadmin/schema/pgOperatorClass.cpp
+++ b/pgadmin/schema/pgOperatorClass.cpp
@@ -36,11 +36,11 @@ wxString pgOperatorClass::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on operator class");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing operator class");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop operator class \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgOperatorFamily.cpp b/pgadmin/schema/pgOperatorFamily.cpp
index 092bd14..124a50e 100644
--- a/pgadmin/schema/pgOperatorFamily.cpp
+++ b/pgadmin/schema/pgOperatorFamily.cpp
@@ -36,11 +36,11 @@ wxString pgOperatorFamily::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on operator family");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing operator family");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop operator family \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgRole.cpp b/pgadmin/schema/pgRole.cpp
index 5d7364d..7fb823d 100644
--- a/pgadmin/schema/pgRole.cpp
+++ b/pgadmin/schema/pgRole.cpp
@@ -50,11 +50,11 @@ wxString pgLoginRole::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on login role");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing login role");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop login role \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgRule.cpp b/pgadmin/schema/pgRule.cpp
index 5c58fa2..1fdc589 100644
--- a/pgadmin/schema/pgRule.cpp
+++ b/pgadmin/schema/pgRule.cpp
@@ -36,15 +36,15 @@ wxString pgRule::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on rule");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing rule");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for rule");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop rule \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgSequence.cpp b/pgadmin/schema/pgSequence.cpp
index 870cf2f..6704529 100644
--- a/pgadmin/schema/pgSequence.cpp
+++ b/pgadmin/schema/pgSequence.cpp
@@ -36,11 +36,11 @@ wxString pgSequence::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on sequence");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing sequence");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop sequence \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTable.cpp b/pgadmin/schema/pgTable.cpp
index e84ff7f..c9aa3ed 100644
--- a/pgadmin/schema/pgTable.cpp
+++ b/pgadmin/schema/pgTable.cpp
@@ -62,11 +62,11 @@ wxString pgTable::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on table");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing table");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop table \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTablespace.cpp b/pgadmin/schema/pgTablespace.cpp
index ffb5b18..083c80e 100644
--- a/pgadmin/schema/pgTablespace.cpp
+++ b/pgadmin/schema/pgTablespace.cpp
@@ -35,11 +35,11 @@ wxString pgTablespace::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on tablespace");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing tablespace");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop tablespace \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTextSearchConfiguration.cpp b/pgadmin/schema/pgTextSearchConfiguration.cpp
index 7cb68f7..370c936 100644
--- a/pgadmin/schema/pgTextSearchConfiguration.cpp
+++ b/pgadmin/schema/pgTextSearchConfiguration.cpp
@@ -35,11 +35,11 @@ wxString pgTextSearchConfiguration::GetTranslatedMessage(int kindOfMessage) cons
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on FTS configuration");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing FTS configuration");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop FTS configuration \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTextSearchDictionary.cpp b/pgadmin/schema/pgTextSearchDictionary.cpp
index f298890..5591490 100644
--- a/pgadmin/schema/pgTextSearchDictionary.cpp
+++ b/pgadmin/schema/pgTextSearchDictionary.cpp
@@ -35,11 +35,11 @@ wxString pgTextSearchDictionary::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on FTS dictionary");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing FTS dictionary");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop FTS dictionary \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTextSearchParser.cpp b/pgadmin/schema/pgTextSearchParser.cpp
index 93a471e..d394bbf 100644
--- a/pgadmin/schema/pgTextSearchParser.cpp
+++ b/pgadmin/schema/pgTextSearchParser.cpp
@@ -35,11 +35,11 @@ wxString pgTextSearchParser::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on FTS parser");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing FTS parser");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop FTS parser \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTextSearchTemplate.cpp b/pgadmin/schema/pgTextSearchTemplate.cpp
index 05f4a91..0b13234 100644
--- a/pgadmin/schema/pgTextSearchTemplate.cpp
+++ b/pgadmin/schema/pgTextSearchTemplate.cpp
@@ -35,11 +35,11 @@ wxString pgTextSearchTemplate::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on FTS template");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing FTS template");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop FTS template \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgTrigger.cpp b/pgadmin/schema/pgTrigger.cpp
index 8d6f3ee..2b644fe 100644
--- a/pgadmin/schema/pgTrigger.cpp
+++ b/pgadmin/schema/pgTrigger.cpp
@@ -47,11 +47,11 @@ wxString pgTrigger::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on trigger");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing trigger");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for trigger");
diff --git a/pgadmin/schema/pgType.cpp b/pgadmin/schema/pgType.cpp
index 6faee87..4ade028 100644
--- a/pgadmin/schema/pgType.cpp
+++ b/pgadmin/schema/pgType.cpp
@@ -36,11 +36,11 @@ wxString pgType::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on type");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing type");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop type \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgUser.cpp b/pgadmin/schema/pgUser.cpp
index 1f8719c..96f04d1 100644
--- a/pgadmin/schema/pgUser.cpp
+++ b/pgadmin/schema/pgUser.cpp
@@ -35,11 +35,11 @@ wxString pgUser::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on user");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing user");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case GRANTWIZARDTITLE:
 			message = _("Privileges for user");
diff --git a/pgadmin/schema/pgUserMapping.cpp b/pgadmin/schema/pgUserMapping.cpp
index 8028a45..5aea72e 100644
--- a/pgadmin/schema/pgUserMapping.cpp
+++ b/pgadmin/schema/pgUserMapping.cpp
@@ -34,11 +34,11 @@ wxString pgUserMapping::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on user mapping");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing user mapping");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop user mapping \"%s\" including all objects that depend on it?"),
diff --git a/pgadmin/schema/pgView.cpp b/pgadmin/schema/pgView.cpp
index 22a86a0..63df1a8 100644
--- a/pgadmin/schema/pgView.cpp
+++ b/pgadmin/schema/pgView.cpp
@@ -41,11 +41,11 @@ wxString pgView::GetTranslatedMessage(int kindOfMessage) const
 	{
 		case RETRIEVINGDETAILS:
 			message = _("Retrieving details on view");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case REFRESHINGDETAILS:
 			message = _("Refreshing view");
-			message += wxT(" ") + GetName();
+			message += wxT(" ") + GetSchema()->GetName() + wxT(".") + GetName();
 			break;
 		case DROPINCLUDINGDEPS:
 			message = wxString::Format(_("Are you sure you wish to drop view \"%s\" including all objects that depend on it?"),
-- 
1.7.4.msysgit.0
